package cn.com.ctop.check.script;

import cn.com.ctop.check.component.execute.GroovyScriptExecutor;
import cn.com.ctop.check.service.ICtopCheckTaskListService;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import org.jeecg.common.api.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rest/script")
public class TestGroovyScript {

    @Autowired
    ICtopCheckTaskListService checkTaskListService;

    @Autowired
    ICtopOauthTokenService ctopOauthTokenService;

    @Autowired
    GroovyScriptExecutor groovyScriptExecutor;

    @GetMapping("/test")
    public Result testGroovy(){
         groovyScriptExecutor.execute(1,"CheckTokenExecuteStateScript");
        return Result.ok();
    }
}
